package W3C.PICS;
import java.util.StringTokenizer;
import java.awt.*;

public class TextPanel extends Panel

{
   public TextPanel(String text)
   {
    Label l;
    StringTokenizer ST=new StringTokenizer(text);
    setLayout(new FlowLayout(FlowLayout.LEFT,0,0));
    while (ST.hasMoreTokens())
     {
      l=new Label(ST.nextToken());
      l.resize(l.size().width+5,l.size().height);
      l.setFont(new Font("Dialog",Font.PLAIN,10));
      add(l);
     }

     validate();
   }

}